Mailinglist Archive: opensuse-factory (378 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191122 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Sat, 23 Nov 2019 14:01:46 +0000
  • Message-id: <157451770689.28619.17761969188274845134@go-agent-stagingbot-5>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191122

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
apparmor
mypy
python-Cycler
python-Pillow (6.1.0 -> 6.2.1)
python-PyHamcrest
python-SecretStorage
python-appdirs
python-backports.functools_lru_cache (1.5 -> 1.6.1)
python-cffi (1.13.0 -> 1.13.2)
python-h2
python-psutil (5.6.3 -> 5.6.5)
python-pyasn1 (0.4.7 -> 0.4.8)
python-pyasn1-modules (0.2.6 -> 0.2.7)
python-pycairo
python-pycryptodome (3.9.0 -> 3.9.2)
python-pycurl
python-pyparsing (2.4.2 -> 2.4.5)
python-pyzmq (18.1.0 -> 18.1.1)
python-typing_extensions (3.7.4 -> 3.7.4.1)
xtables-addons (3.5_k5.3.11_1 -> 3.6_k5.3.11_1)

=== Details ===

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-parser-lang apparmor-profiles apparmor-utils apparmor-utils-lang
pam_apparmor pam_apparmor-32bit perl-apparmor python3-apparmor

- Properly pull in full python3 interpreter

==== mypy ====

- Pull in full interpreter as we can't have this package working
with just base interpreter

==== python-Cycler ====
Subpackages: python2-Cycler python3-Cycler

- Format with spec-cleaner
- Install license file

==== python-Pillow ====
Version update (6.1.0 -> 6.2.1)
Subpackages: python2-Pillow python3-Pillow

- Update to 6.2.1:
* Pillow 6.2.1 supports Python 3.8.
- Skip stroke tests as they both fail
- Update to 6.2.0:
* text stroking
* image grab on multi-monitor windows
* Full notes: https://pillow.readthedocs.io/en/stable/releasenotes/6.2.0.html

==== python-PyHamcrest ====

- Remove pytest4.patch and replace it with pytest4-02.patch,
which is the upstream gh#hamcrest/PyHamcrest#124 fixing
compatibility with pytest 4+ officially. And of course, we
don't have to massacre test files anymore.
- Run spec-cleaner
- Add pytest4.patch to make the testsuite actually really pass.
- Because of gh#hamcrest/PyHamcrest#123 we have to remove
tests/hamcrest_unit_test/core/is{_test,instanceof_test}.py to
make the test suite passing.
Patch pytest4.patch has been removed, it was a step into dead
end.

==== python-SecretStorage ====

- Run through spec-cleaner

==== python-appdirs ====
Subpackages: python2-appdirs python3-appdirs

- Format with spec-cleaner

==== python-backports.functools_lru_cache ====
Version update (1.5 -> 1.6.1)

- Update to 1.6.1:
* refresh metadata
* minor fixes

==== python-cffi ====
Version update (1.13.0 -> 1.13.2)
Subpackages: python2-cffi python3-cffi

- Update to 1.13.2:
* re-release because the Linux wheels came with an attached version of libffi
that was very old and buggy
- Update to 1.13.1:
* deprecate the way to declare in cdef() a global variable with only void
*foo;. You should always use a storage class, like extern void *foo; or maybe
static void *foo;. These are all equivalent for the purposes of cdef(), but the
reason for deprecating the bare version is that (as far as I know) it would
always be mistake in a real C header.
* fix the regression RuntimeError: found a situation in which we try to build
a type recursively.
* fixed issue #427 where a multithreading mistake in the embedding logic
initialization code would cause deadlocks on CPython 3.7.

==== python-h2 ====

- Drop unused dependancies on pytest-cov and pytest-xdist.

==== python-psutil ====
Version update (5.6.3 -> 5.6.5)

- update to version 5.6.5:
* Bug fixes
+ 1615: remove pyproject.toml as it was causing installation
issues.
- changes from version 5.6.4:
* Enhancements
+ 1527: [Linux] added Process.cpu_times().iowait counter, which is
the time spent waiting for blocking I/O to complete.
+ 1565: add PEP 517/8 build backend and requirements specification
for better pip integration. (patch by Bernát Gábor)
* Bug fixes
+ 875: [Windows] Process' cmdline(), environ() or cwd() may
occasionally fail with ERROR_PARTIAL_COPY which now gets
translated to AccessDenied.
+ 1126: [Linux] cpu_affinity() segfaults on CentOS 5 /
manylinux. cpu_affinity() support for CentOS 5 was removed.
+ 1528: [AIX] compilation error on AIX 7.2 due to 32 vs 64 bit
differences. (patch by Arnon Yaari)
+ 1535: 'type' and 'family' fields returned by net_connections()
are not always turned into enums.
+ 1536: [NetBSD] process cmdline() erroneously raise ZombieProcess
error if cmdline has non encodable chars.
+ 1546: usage percent may be rounded to 0 on Python 2.
+ 1552: [Windows] getloadavg() math for calculating 5 and 15 mins
values is incorrect.
+ 1568: [Linux] use CC compiler env var if defined.
+ 1570: [Windows] NtWow64* syscalls fail to raise the proper error
code
+ 1585: [OSX] calling close() (in C) on possible negative
integers. (patch by Athos Ribeiro)
+ 1606: [SunOS] compilation fails on SunOS 5.10. (patch by vser1)

==== python-pyasn1 ====
Version update (0.4.7 -> 0.4.8)
Subpackages: python2-pyasn1 python3-pyasn1

- Update to 0.4.8:
* Added ability of combining `SingleValueConstraint` and
`PermittedAlphabetConstraint` objects into one for proper modeling
`FROM ... EXCEPT ...` ASN.1 clause.

==== python-pyasn1-modules ====
Version update (0.2.6 -> 0.2.7)

- Update to 0.2.7
* various RFC enhancements, see CHANGES.txt

==== python-pycairo ====
Subpackages: python2-pycairo python3-pycairo

- Add patch to fix build on python 3.8:
* python38.patch

==== python-pycryptodome ====
Version update (3.9.0 -> 3.9.2)
Subpackages: python2-pycryptodome python3-pycryptodome

- Update to 3.9.2 (10 November 2019):
+ New features
* Add Python 3.8 wheels for Mac.
+ Resolved issues
* GH#308: Avoid allocating arrays of __m128i on the stack, to
cope with buggy compilers.
* GH#322: Remove blanket -O3 optimization for gcc and clang, to
cope with buggy compilers.
* GH#337: Fix typing stubs for signatures.
* GH#338: Deal with gcc installations that don't have
x86intrin.h.
- Update to version 3.9.1 (1 November 2019):
+ New features
* Add Python 3.8 wheels for Linux and Windows.
+ Resolved issues
* GH#328: minor speed-up when importing RSA.
- Add export LC_ALL=en_US.UTF-8 to %build, %install and %check to
fix the build on older distros
(as done from Thomas Bechtold in python-pycryptodomex)

==== python-pycurl ====

- Skip 4 tests that are tied to old bottle version so we can
update the python-bottle package

==== python-pyparsing ====
Version update (2.4.2 -> 2.4.5)
Subpackages: python2-pyparsing python3-pyparsing

- update to version 2.4.5:
* Fixed encoding when setup.py reads README.rst to include the
project long description when uploading to PyPI. A stray unicode
space in README.rst prevented the source install on systems whose
default encoding is not 'utf-8'.
- changes from version 2.4.4:
* Unresolved symbol reference in 2.4.3 release was masked by stdout
buffering in unit tests, thanks for the prompt heads-up, Ned
Batchelder!
- changes from version 2.4.3:
* Fixed a bug in ParserElement.__eq__ that would for some parsers
create a recursion error at parser definition time. Thanks to
Michael Clerx for the assist. (Addresses issue #123)
* Fixed bug in indentedBlock where a block that ended at the end of
the input string could cause pyaprsing to loop forever. Raised as
part of discussion on StackOverflow with geckos.
* Backports from pyparsing 3.0.0:
+ __diag__.enable_all_warnings()
+ Fixed bug in PrecededBy which caused infinite recursion, issue
[#127]
+ support for using regex-compiled RE to construct Regex
expressions

==== python-pyzmq ====
Version update (18.1.0 -> 18.1.1)

- update to version 18.1.1:
* Fix race condition when shutting down ZAP thread while events are
still processing (only affects tests)
* Publish wheels for Python 3.8 on all platforms
* Stop publishing wheels for Python 3.4 on Windows
* Sources generated with Cython 0.29.14

==== python-typing_extensions ====
Version update (3.7.4 -> 3.7.4.1)

- Update to version 3.7.4.1:
+ Fix isinstance() with generic protocol subclasses after subscripting
+ Fix tests for non-default interpreters
+ Use environment marker to specify typing dependency
+ Fix unions of protocols on Python 2

==== xtables-addons ====
Version update (3.5_k5.3.11_1 -> 3.6_k5.3.11_1)

- Update to release 3.6
* Support for Linux 5.4


< Previous Next >
This Thread
  • No further messages